Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# buttonbox.hh File Reference

A GtkButtonBox, GtkHButtonBox and GtkVButtonBox C++ wrapper interface. More...

`#include <xfc/gtk/box.hh>`
`#include <gtk/gtkhbbox.h>`
`#include <gtk/gtkvbbox.h>`
`#include <xfc/gtk/inline/buttonbox.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::ButtonBox
    A GtkButtonBox C++ wrapper class. More...
- class Xfc::Gtk::HButtonBox
    A GtkHButtonBox C++ wrapper class. More...
- class Xfc::Gtk::VButtonBox
    A GtkVButtonBox C++ wrapper class. More...

## Enumerations

- enum ButtonBoxStyle {
  BUTTONBOX_DEFAULT_STYLE = GTK_BUTTONBOX_DEFAULT_STYLE,
  BUTTONBOX_SPREAD = GTK_BUTTONBOX_SPREAD,
  BUTTONBOX_EDGE = GTK_BUTTONBOX_EDGE,
  BUTTONBOX_START = GTK_BUTTONBOX_START,
  BUTTONBOX_END = GTK_BUTTONBOX_END
  }
    ButtonBoxStyle is used to dictate the style that a ButtonBox uses to layout the buttons it contains. More...

## Detailed Description

A GtkButtonBox, GtkHButtonBox and GtkVButtonBox C++ wrapper interface.

Provides ButtonBox, HButtonBox and VButtonBox. The primary purpose of ButtonBox is to keep track of the various properties of HButtonBox and VButtonBox.

## Enumeration Type Documentation

enum ButtonBoxStyle

ButtonBoxStyle is used to dictate the style that a ButtonBox uses to layout the buttons it contains.

(See also: VButtonBox and HButtonBox).

Enumeration values:

  BUTTONBOX_DEFAULT_STYLE | Default packing.
  BUTTONBOX_SPREAD | Buttons are evenly spread across the ButtonBox.
  BUTTONBOX_EDGE | Buttons are placed at the edges of the ButtonBox.
  BUTTONBOX_START | Buttons are grouped towards the start of ButtonBox.
  BUTTONBOX_END | Buttons are grouped towards the end of ButtonBox.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3